Public Member Functions | Protected Types | Protected Attributes | Friends

# MultiMapIterator< MAP_ITER, LIST_ITER, KEY, VALUE, COMPARE > Class Template Reference

## Public Member Functions
template<class NONCONST >
| MultiMapIterator (NONCONST mi)
| MultiMapIterator (MAP_ITER mi, LIST_ITER li)
template<class NONCONST >
Self & | operator= (NONCONST mi)
VALUE & | operator* () const
VALUE * | operator-> () const
FORCEINLINE const MAP_ITER & | GetMapIter () const
FORCEINLINE const LIST_ITER & | GetListIter () const
FORCEINLINE bool | ListValid () const
const KEY & | GetKey () const
Self & | operator++ ()
Self | operator++ (int)
Self & | operator-- ()
Self | operator-- (int)
## Protected Types
typedef MultiMapIterator < MAP_ITER, LIST_ITER, KEY, VALUE, COMPARE > | Self
## Protected Attributes
LIST_ITER | list_iter
MAP_ITER | map_iter
bool | list_valid
## Friends
class | MultiMap< KEY, VALUE, COMPARE >

## Detailed Description

### template<class MAP_ITER, class LIST_ITER, class KEY, class VALUE, class COMPARE>
class MultiMapIterator< MAP_ITER, LIST_ITER, KEY, VALUE, COMPARE >

Definition at line 22 of file multimap.hpp.

The documentation for this class was generated from the following file:

- src/core/multimap.hpp